#include <stdio.h>

#include "netex.h"
#include "config.h"

#define CONFIG_PATH "srv_config.json"

int srv_setup(void);

int main(int argc, char *argv[])
{
    const CONFIGURATION* srv_config = config_load_from_path(CONFIG_PATH);
    int remove_result = config_remove(srv_config, "Connection.CertPath");
    config_set_string(srv_config, "Connection.CertPath", "cert.pem");
    config_save_to_path(srv_config, CONFIG_PATH);
    config_clear(srv_config);

    netex_init();
    PRINT_LINE("Hello, server!");
    if (argc > 1)
    {
        //TODO: Handle args
    }
    if (srv_setup() != 0)
    {
        ERROR("Failed to initialize server!");
        return 0;
    }
    netex_shutdown();
    return 0;
}

void* th_srv_listen(void)
{
    for (;;)
    {
        //TODO: Listen to connections & give a thread to handle communication
    }
}

int svr_command(void)
{
    return 0;
}

int srv_setup(void)
{

    return -1;
}